package com.digiwin.athena.app.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.provider.QuotationRequirementEAIService;
import com.digiwin.athena.app.service.quotation.QuotationUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author lz
 * @version 1.0
 * @title PurchaseDemoEAIServiceImpl
 * @description
 * @create 2023/8/30 16:50
 */
public class QuotationRequirementEAIServiceImpl implements QuotationRequirementEAIService {

    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(QuotationUtil.DEMO_ATHENAOPT_REQUIREMENT_INFO_GET , headers, messageBody);
    }
}
