/*
 * Author:   DONGSK
 * Datetime: 2024/4/25 16:43
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.infra.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

/**
 * DigiwinSummit
 *
 * @author DONGSK 2024/4/25 16:43
 * @since 1.0.0
 */
@Data
@TableName(value = "digiwin_summit", autoResultMap = true)
public class DigiwinSummit extends Model<DigiwinSummit> implements Serializable {
    Long id;
    @TableField(value = "user_id")
    String userId;
    @TableField(value = "tenant_id")
    String tenantId;
    @TableField(value = "ref_prod")
    String refProd;
    @TableField(value = "ref_user_id")
    String refUserId;
    @TableField(value = "ref_tenant_sid")
    String refTenantSid;
    @TableField(value = "ref_user_password")
    String refUserPassword;
}
