package com.digiwin.athena.app.provider;

import com.digiwin.app.service.AllowAnonymous;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.service.quotation.QuotationUtil;

import java.util.Map;

/**
 * @author lz
 * @version 1.0
 * @title QuotationRequirementEAIService
 * @description
 * @create 2024/4/29 10:20
 */
public interface QuotationRequirementEAIService extends DWService {

    /**
     *   报价需求查询
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = QuotationUtil.DEMO_ATHENAOPT_REQUIREMENT_INFO_GET)
    DWEAIResult get(Map<String, String> headers, String messageBody)  throws Exception;
}
